libfile-remove-perl_1.52-1_all.deb


Advertisement

Description

libfile-remove-perl - Perl module to remove files or directories

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Main i386
Package filename libfile-remove-perl_1.52-1_all.deb
Package name libfile-remove-perl
Package version 1.52
Package release 1
Package architecture all
Package type deb
Category perl
Homepage http://search.cpan.org/dist/File-Remove/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 11.74 KB
Installed size 57.00 KB
File::Remove::remove removes files and directories.  It acts like
/bin/rm, for the most part.  Although unlink can be given a list
of files, it will not remove directories; this module remedies that.
It also accepts wildcards, * and ?, as arguments for filenames.

Alternatives

Package Version Architecture Repository
libfile-remove-perl_1.52-1_all.deb 1.52 all Ubuntu Main
libfile-remove-perl - - -

Requires

Name Value
perl >= 5.10.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libfile-remove-perl_1.52-1_all.deb
Source Package libfile-remove-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libfile-remove-perl deb package:
    # sudo apt-get install libfile-remove-perl

Files

Path
/usr/share/doc/libfile-remove-perl/changelog.Debian.gz
/usr/share/doc/libfile-remove-perl/copyright
/usr/share/man/man3/File::Remove.3pm.gz
/usr/share/perl5/File/Remove.pm

Changelog

2012-03-19 - gregor herrmann <gregoa@debian.org>
libfile-remove-perl (1.52-1) unstable; urgency=low
* New upstream release.
* Update (build) dependencies (needs perl 5.10.1 now).
* Bump Standards-Version to 3.9.3 (no changes).
* Update years of upstream and packaging copyright.
* debian/copyright: update to Copyright-Format 1.0.
2011-10-28 - Alessandro Ghedini <al3xbio@gmail.com>
libfile-remove-perl (1.51-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release 1.49
[ Fabrizio Regalli ]
* New upstream release 1.50
* Added myself to Uploaders and Copyright
* Bump to 3.9.2 Standards-Version
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
* Drop (build-)dep on libfile-spec-perl as the version provided by perl
is recent enough.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
[ Alessandro Ghedini ]
* New upstream release
* Update copyright years for inc/Module/*
2011-03-11 - Ansgar Burchardt <ansgar@debian.org>
libfile-remove-perl (1.48-1) unstable; urgency=low
* Team upload.
* New upstream release.
2011-03-06 - Alessandro Ghedini <al3xbio@gmail.com>
libfile-remove-perl (1.46-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Update my email address.
[ Alessandro Ghedini ]
* New upstream release
- Fix test failure with new Perl::MinimumVersion (remove
fix_META.yml_min_required_perl_version.patch patch)
- Remove B-D-I on libtest-minimumversion-perl, libtest-cpan-meta-perl,
libtest-pod-perl, libpod-simple-perl (extra tests are not run)
- Don't set AUTOMATED_TESTING=1 in debian/rules (extra tests are not run)
* Switch to 3.0 (quilt)
- Remove Build-Depends on quilt
- Remove '--with quilt' from debian/rules
- Remove debian/README.source file
* Bump debhelper to 8
* Bump Standards-Version (no changes needed)
* Remove versioned Build-Depends for libpod-simple-perl (already in oldstable)
* Update upstream copyright years
* Replace 'Debian GNU/Linux' with just 'Debian' in debian/copyright
* Fix copyright-refers-to-symlink-license lintian
* Add myself to Uploaders
[ gregor herrmann ]
* debian/control: (build) depend on the now required File::Spec 3.2701.
* debian/copyright: update years of copyright for inc/Module/*.
2009-12-13 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
libfile-remove-perl (1.42-3) unstable; urgency=low
* Add myself to Uploaders.
* Add patch bumping required Perl minimum version in META.yml. Some tests for
libfile-remove-perl require 5.006, and the tests fail with newer
libperl-minimumversion-perl (>= 1.22). Thanks to Lucas Nussbaum reporting
the FTBFS (Closes: #560615).
* Add quilt patch system for managing patches, update debian/rules with the
--with quilt option passed to dh. Add README.source documenting use of
quilt patch system.
* debian/control:
- Add quilt (>= 0.46-7) to Build-Depends.
- Bump versioned Build-Depends on debhelper to (>= 7.0.8).
- Replace versioned Build-Depends-Indep on perl with unversioned one since
5.8.8-7 is in oldstable.
- Add alternative Build-Depends-Indep on perl (>= 5.10.1) |
libpod-simple-perl (>= 3.07).
- Bump Standards-Version to 3.8.3.
* debian/copyright: Update to the current revision of the DEP5 machine
readable format-specification proposal.

See Also

Package Description
libfile-rsyncp-perl_0.70-1ubuntu3_i386.deb Perl based implementation of an Rsync client
libfile-sharedir-install-perl_0.07-1_all.deb module for installing read-only data files
libfile-sharedir-perl_1.03-1_all.deb module to locate non-code files during run-time
libfile-sharedir-projectdistdir-perl_0.5.2-1_all.deb simple set-and-forget use of a share directory in the project root
libfile-slurp-perl_9999.19-4_all.deb single call read & write file routines
libfile-which-perl_1.09-1_all.deb Perl module for searching paths for executable programs
libfilehandle-fmode-perl_0.13-1build1_i386.deb Perl module for checking filehandle status
libfindlib-ocaml-dev_1.4-2_i386.deb library for managing OCaml libraries (development files)
libfindlib-ocaml_1.4-2_i386.deb library for managing OCaml libraries (runtime)
libfl-dev_2.5.35-10.1ubuntu2_i386.deb static library for flex (a fast lexical analyzer generator)
libflac++-dev_1.3.0-2_i386.deb Free Lossless Audio Codec - C++ development library
libflac++6_1.3.0-2_i386.deb Free Lossless Audio Codec - C++ runtime library
libflac-dev_1.3.0-2_i386.deb Free Lossless Audio Codec - C development library
libflac-doc_1.3.0-2_all.deb Free Lossless Audio Codec - library documentation
libflac8_1.3.0-2_i386.deb Free Lossless Audio Codec - runtime C library
Advertisement
Advertisement